package com.xx.merchanthbh.wxapi;

import android.content.Intent;
import android.os.Bundle;
import androidx.appcompat.app.AppCompatActivity;
import android.util.Log;
import android.widget.Button;
import android.widget.Toast;

import com.chinaums.pppay.unify.UnifyPayPlugin;
import com.google.gson.JsonObject;
import com.tencent.mm.opensdk.constants.ConstantsAPI;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.modelbiz.WXLaunchMiniProgram;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.ui.bill.BillListActivity;

import org.json.JSONException;
import org.json.JSONObject;

public class WXEntryActivity extends AppCompatActivity implements IWXAPIEventHandler {
    private static final String TAG = "debug";
    private IWXAPI api;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.d(TAG,"WXEntryActivity --- onCreate");
        setContentView(R.layout.activity_wxpay_entry);
        api = WXAPIFactory.createWXAPI(this,UnifyPayPlugin.getInstance(this).getAppId());

        api.handleIntent(getIntent(), this);

    }
    @Override
    protected void onNewIntent(Intent intent)
    {
        super.onNewIntent(intent);
        Log.d(TAG,"WXEntryActivity --- onNewIntent");
        setIntent(intent);
        api.handleIntent(getIntent(), this);
    }
    @Override
    public void onReq(BaseReq baseReq) {
        Log.d(TAG,"WXEntryActivity --- onReq");
    }

    @Override
    public void onResp(BaseResp baseResp) {
        Log.d(TAG,"WXEntryActivity --- onResp");
        if (baseResp.getType() == ConstantsAPI.COMMAND_LAUNCH_WX_MINIPROGRAM) {

            WXLaunchMiniProgram.Resp launchMiniProResp = (WXLaunchMiniProgram.Resp) baseResp;
            String extraData =launchMiniProResp.extMsg; //对应小程序组件 <button open-type="launchApp"> 中的 app-parameter 属性
            Log.d(TAG,"onResp   ---   " + extraData);


          /*  Toast.makeText(this,msg,Toast.LENGTH_LONG).show();*/
            UnifyPayPlugin.getInstance(this).getWXListener().onResponse(this, baseResp);
            try {
                JSONObject object=new JSONObject(extraData);
                if (object.getInt("errCode")==0)
                {
                    startActivity(new Intent(this, BillListActivity.class));
                    finish();
                }else {
                    finish();
                }
            } catch (JSONException e) {
                throw new RuntimeException(e);
            }


        }else {
            finish();
        }

    }
}
